Update Column

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/column
API call form
Examples
List of examples
  • Update the name of a column
  • Update custom metadata of a column
  • Set AI context
  • Clear AI context
  • Update the format of a column
  • Update the lowest level of a column
  • Update to currency column
  • Update to duration column
  • Set default format for numeric column
  • Set default format for datetime column
  • Set default format for duration column
  • Set default format for currency column
  • Enable hierarchy levels for column
  • Enable colors for column
Description

Update the subtype of a column to duration. In this example we set the lowest level to 3 (= month).

The levels are as follows: year (1), quarter (2), month (3), week (4), day (5), hour (6), minute (7), second (8), millisecond (9).

Setting the lowestLevel to 3 indicates that the data available in the column is saved on this level, meaning that a value of 10 equals 10 months (if set to 3).

Install
npm install @luzmo/nodejs-sdk